import { ElementRef, OnInit, Renderer2 } from '@angular/core';
export interface NgColumnsConfig {
    addParent?: boolean;
    default?: number;
    xl?: number;
    lg?: number;
    md?: number;
    sm?: number;
}
export declare class NgColumnsDirective implements OnInit {
    private elementRef;
    private renderer2;
    _element: HTMLElement;
    _columns: NgColumnsConfig;
    theme: 'bootstrap' | 'materialize';
    set columns(columns: NgColumnsConfig);
    constructor(elementRef: ElementRef<HTMLInputElement>, renderer2: Renderer2);
    ngOnInit(): void;
    updateColumns(): void;
}
