import { NgConfig, NgConfigInput, NgConfigSelect } from '../interfaces/ng-config.interface';
export declare class NgConfigService {
    private _config;
    get global(): {
        select?: {
            icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
            types?: {
                [key: string]: NgConfigSelect;
            } | undefined;
        } | undefined;
        textArea?: {
            icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
            types?: {
                [key: string]: NgConfigSelect;
            } | undefined;
        } | undefined;
        autocomplete?: {
            icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
            types?: {
                [key: string]: NgConfigSelect;
            } | undefined;
        } | undefined;
        input?: {
            icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
            currency?: import("../interfaces/ng-mask-config.interface").NgMaskConfig | undefined;
            percent?: import("../interfaces/ng-mask-config.interface").NgMaskConfig | undefined;
            amount?: import("../interfaces/ng-mask-config.interface").NgMaskConfig | undefined;
            types?: {
                [key: string]: NgConfigInput;
            } | undefined;
        } | undefined;
    } | undefined;
    get input(): {
        icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
        currency?: import("../interfaces/ng-mask-config.interface").NgMaskConfig | undefined;
        percent?: import("../interfaces/ng-mask-config.interface").NgMaskConfig | undefined;
        amount?: import("../interfaces/ng-mask-config.interface").NgMaskConfig | undefined;
        types?: {
            [key: string]: NgConfigInput;
        } | undefined;
    } | undefined;
    get select(): {
        icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
        types?: {
            [key: string]: NgConfigSelect;
        } | undefined;
    } | undefined;
    get textarea(): {
        icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
        types?: {
            [key: string]: NgConfigSelect;
        } | undefined;
    } | undefined;
    get autocomplete(): {
        icon?: import("../interfaces/ng-icon-config.interface").NgIconPositionsConfig | undefined;
        types?: {
            [key: string]: NgConfigSelect;
        } | undefined;
    } | undefined;
    get config(): NgConfig;
    set config(value: NgConfig);
    types(field: 'select' | 'input' | 'textArea' | 'autocompleta'): NgConfigSelect | NgConfigInput;
    get typesSelect(): NgConfigSelect;
    get typesInput(): NgConfigInput;
    get typesTextArea(): NgConfigSelect;
    get typesAutocompleta(): NgConfigInput;
}
