import { Renderer2 } from '@angular/core';
import { NgMaskConfig } from '../../interfaces/ng-mask-config.interface';
import { IMaskCurrencyServiceReturn } from '../../interfaces/ng-mask-service-return.interface';
import { NgConfigService } from '../../config/ng-config.service';
export declare class NgMaskAmountService {
    private _config;
    constructor(ngInputConfig: NgConfigService);
    createMask(inputRef: HTMLInputElement, config?: NgMaskConfig, renderer2?: Renderer2): IMaskCurrencyServiceReturn;
    format(value: string | number, config?: NgMaskConfig): string;
    _formatAmount(value: string | number, config: NgMaskConfig, data?: string | null): {
        valueFormat: string;
        value: number;
    };
}
